This is the complete MS Vehicle System (Vehicle Controller) feature.

We are always trying to improve and optimize the product, so if you have any suggestions or criticism, you can contact us through the forum:
https://forum.unity.com/threads/ms-vehicle-system-vehicle-controller.544282/

If you need something more specific, you can also contact me directly by email: marcos11-24@hotmail.com